IF  NOT EXISTS (SELECT * FROM sys.objects 
					WHERE object_id = OBJECT_ID(N'[dbo].[EST_NF_ENT_DANFE_PROVISORIO_CIENCIA_OPERACAO_PENDENTE]') 
					AND type in (N'U')) 
begin
CREATE TABLE [dbo].[EST_NF_ENT_DANFE_PROVISORIO_CIENCIA_OPERACAO_PENDENTE](
	[CD_CTR] [int] NOT NULL,
	[DT_CAD] [datetime] NULL,
 CONSTRAINT [PK_EST_NF_ENT_DANFE_PROVISORIO_CIENCIA_OPERACAO_PENDENTE] PRIMARY KEY CLUSTERED 
(
	[CD_CTR] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]


ALTER TABLE [dbo].[EST_NF_ENT_DANFE_PROVISORIO_CIENCIA_OPERACAO_PENDENTE] ADD  CONSTRAINT [DF_EST_NF_ENT_DANFE_PROVISORIO_CIENCIA_OPERACAO_PENDENTE_DT_CAD]  DEFAULT (getdate()) FOR [DT_CAD]

ALTER TABLE [dbo].[EST_NF_ENT_DANFE_PROVISORIO_CIENCIA_OPERACAO_PENDENTE]  WITH CHECK ADD  CONSTRAINT [FK_EST_NF_ENT_DANFE_PROVISORIO_CIENCIA_OPERACAO_PENDENTE_EST_NF_ENT_DANFE_PROVISORIO] FOREIGN KEY([CD_CTR])
REFERENCES [dbo].[EST_NF_ENT_DANFE_PROVISORIO] ([CD_CTR])
ON DELETE CASCADE

ALTER TABLE [dbo].[EST_NF_ENT_DANFE_PROVISORIO_CIENCIA_OPERACAO_PENDENTE] CHECK CONSTRAINT [FK_EST_NF_ENT_DANFE_PROVISORIO_CIENCIA_OPERACAO_PENDENTE_EST_NF_ENT_DANFE_PROVISORIO]
end